Bug 2079791 - cloud-controller-manager flaps operator version during 4.9 -> 4.10 update
Summary: cloud-controller-manager flaps operator version during 4.9 -> 4.10 update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.z
Assignee: Joel Speed
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On: 2059716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-28 09:17 UTC by Joel Speed
Modified: 2022-05-18 11:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2059716
Environment:
Last Closed: 2022-05-18 11:51:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-cloud-controller-manager-operator pull 187 0 None open Bug 2079791: Ensure release version is injected into all controller status clients 2022-04-28 09:20:33 UTC
Red Hat Product Errata RHBA-2022:2178 0 None None None 2022-05-18 11:51:17 UTC

Comment 3 sunzhaohua 2022-05-10 14:34:40 UTC
Verfied
Check job flapping clearing up once the target-version comes into the mix 
https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift_cluster-cloud-controller-manager-operator/187/pull-ci-openshift-cluster-cloud-controller-manager-operator-release-4.10-e2e-azure-upgrade/1521103273052868608/artifacts/e2e-azure-upgrade/openshift-e2e-test/build-log.txt

$ curl -s https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/pr-logs/pull/openshift_cluster-cloud-controller-manager-operator/187/pull-ci-openshift-cluster-cloud-controller-manager-operator-release-4.10-e2e-azure-upgrade/1521103273052868608/artifacts/e2e-azure-upgrade/openshift-e2e-test/build-log.txt | grep clusteroperator/cloud-controller-manager
May 02 13:33:09.544 I clusteroperator/cloud-controller-manager versions: operator 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial ->
May 02 13:33:09.556 I clusteroperator/cloud-controller-manager versions: operator  -> 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial
May 02 13:33:09.566 I clusteroperator/cloud-controller-manager versions: operator 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial ->
May 02 13:33:09.577 I clusteroperator/cloud-controller-manager versions: operator  -> 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial
May 02 13:33:09.589 I clusteroperator/cloud-controller-manager versions: operator 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial ->
May 02 13:33:09.603 I clusteroperator/cloud-controller-manager versions: operator  -> 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial
May 02 13:33:09.618 I clusteroperator/cloud-controller-manager versions: operator 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial ->
May 02 13:33:09.628 I clusteroperator/cloud-controller-manager versions: operator  -> 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial
May 02 13:33:09.656 I clusteroperator/cloud-controller-manager versions: operator 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial ->
May 02 13:33:09.668 I clusteroperator/cloud-controller-manager versions: operator  -> 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial
May 02 13:40:43.875 I clusteroperator/cloud-controller-manager versions: operator 4.10.0-0.ci.test-2022-05-02-122429-ci-op-biqjsmqn-initial -> 4.10.0-0.ci.test-2022-05-02-122853-ci-op-biqjsmqn-latest

Comment 6 errata-xmlrpc 2022-05-18 11:51:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:2178


Note You need to log in before you can comment on or make changes to this bug.